Subject: Bug#1372: Can Not Connect

From: [email-masked]
Date: Sun, 17 Feb 2019 19:27:45 +0000

Package: x2goserver
Version: 4.1.0.3-3~bpo9+1

OS Server: Armbian 5.75  4.19.20
OS Client: CentOS 7.6  4.19.7-1.el7.elrepo.x86_64

Trying to reach a headless TinkerBoard with X2Go so I can set up wifi.  SELinux is disabled.  I can SSH in as my user just fine, with and without -i, but when setting the Pyhoca session to "Discover SSH Keys", I get "Not a valid EC private key file!"

Ok, apparently it wants an elliptic curve key.  It never used to accept anything but DSA and RSA.  So I made an ecdsa keypair and ssh-copy-id to the TB.  Same failure.  I know that X2Go can't handle ed25519 unfortunately, so I don't even have that key for my user.

When setting the Pyhoca session SSH key manually to /home/bill/.ssh/id_rsa or /home/bill/.ssh/id_ecdsa, I get, "Not a valid EC private key file!"

When not setting the Pyhoca session SSH key either way, and password is allowed on the TB server, it comes up with a dialog box asking for password, and when I enter the correct one I get, "Authentication failed!"

Needless to say, all three methods work on the commandline.

Showstopper because I can't configure wifi without NetworkManager and NetworkManager requires a GUI, and this machine is headless.

Researched this to the ends of the Earth, but the issues were X2Go from a Windows client (I'm CentOS), a permissions problem on keys or .ssh, or ssh_config forwarding was disabled.  None apply here.